6.0.0-git
2019-03-23

[#10027] ingo-convert-prefs-to-sql fails
Summary ingo-convert-prefs-to-sql fails
Queue Ingo
Queue Version 2.0.1
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester neil.fagan (at) wenn (dot) com
Created 2011-05-02 (2882 days ago)
Due
Updated 2011-06-08 (2845 days ago)
Assigned 2011-05-03 (2881 days ago)
Resolved 2011-05-19 (2865 days ago)
Milestone
Patch No

History
2011-06-08 16:01:50 Git Commit Comment #14 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10027: Fix regression in renaming mailboxes in dynamic view

  3 files changed, 12 insertions(+), 9 deletions(-)
http://git.horde.org/horde-git/-/commit/8f83c615272706bdf78f6407f61dbfc073728936
2011-06-07 05:29:23 Git Commit Comment #13 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10027: Correct fix for resetting user during a script call
If authenticated, The application Auth driver needs to pass the *Horde*
userId to the Registry::setAuth() call, instead of any userId that may have
been set in an application, or else the previous change made in this
ticker will cause the if ($this->getAuth() == $authId) check to fail and
the session will be recreated.

For apps that may have a different authentication userId than the Horde
ID (e.g. IMP), this app-specific userId is obtainable via
getAppCredential('userId').  But the Horde user ID should never change
during the session.

  1 files changed, 2 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/a95f8a4259ceaae0b421894062c28df7c17bd167
2011-05-19 18:06:51 Jan Schneider Comment #12
State ⇒ Resolved
Reply to this comment
Yep, that was it.
2011-05-19 18:06:17 Git Commit Comment #11 Reply to this comment
Changes have been made in Git for this ticket:

No longer necessary (Bug #10027).

  1 files changed, 0 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/b7d82950408e3ea96cb7beaff03c88ba8f7c3fbc
2011-05-19 18:00:03 Michael Slusarz Comment #10 Reply to this comment
Re-assigning to you, because somewhere along the way the option to 
set different users during the same session got lost. This is a 
crucial feature for scripts like this.
Maybe this helps.
2011-05-19 17:51:17 Git Commit Comment #9 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10027: Maybe this fixes setAuth() issue

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/a21a40d1812a64948a5a96ae647d8279df8bc2aa
2011-05-19 17:24:49 Jan Schneider Comment #8
Assigned to Michael Slusarz
Taken from Horde DevelopersHorde Developers
Reply to this comment
Re-assigning to you, because somewhere along the way the option to set 
different users during the same session got lost. This is a crucial 
feature for scripts like this.
2011-05-03 16:15:15 Michael Slusarz Assigned to Horde DevelopersHorde Developers
Taken from Michael Slusarz
 
2011-05-03 11:03:20 Jan Schneider State ⇒ Assigned
 
2011-05-03 10:45:10 neil (dot) fagan (at) wenn (dot) com Comment #7 Reply to this comment
Does this commit fix it?
sorry but this made no difference, exactlty the same output and the 
mysql db was in the same state !! (and yes I did clear the old data 
first).
2011-05-03 10:28:01 Jan Schneider Comment #5
State ⇒ Feedback
Priority ⇒ 2. Medium
Reply to this comment
Does this commit fix it?
2011-05-03 10:06:02 neil (dot) fagan (at) wenn (dot) com Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10027: Fix call to setAuth()

  14 files changed, 25 insertions(+), 20 deletions(-)
http://git.horde.org/horde-git/-/commit/3abbb978412cf263e57ab50fdd0cfa7f35760997
applied change, however script still fails to update prefs into sql.
get the following output when script is executed
Converting filters for user: accounts.....
[ ERROR! ] SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate
            entry 'accounts' for key 1

[ ERROR! ] SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate
            entry 'accounts' for key 1
done
Converting filters for user: joe.bloggs.....
[ ERROR! ] SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate
            entry 'accounts' for key 1

[ ERROR! ] SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate
            entry 'accounts' for key 1
done

This is repeated for every user in the list.
Upon examining the mysql ingo_rules table, every row is assigned 
(column rule_owner) to the initial user in the list and all the 
rule_conditions couumns are blank (text - a:0:{} ).


2011-05-02 21:51:57 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Should be fixed (there were several scripts, located across various 
applications, that were calling the old deprecated 
Horde_Auth::setAuth() method).
2011-05-02 21:51:30 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10027: Fix call to setAuth()

  14 files changed, 25 insertions(+), 20 deletions(-)
http://git.horde.org/horde-git/-/commit/3abbb978412cf263e57ab50fdd0cfa7f35760997
2011-05-02 20:51:02 neil (dot) fagan (at) wenn (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ ingo-convert-prefs-to-sql fails
Due ⇒ 2011-05-05
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
when executing ingo-convert-prefs-to-sql to upgrade, this script fails 
to execute.
reporting that :-
Converting filters for user: accountsPHP Fatal error:  Call to 
undefined method Horde_Auth::setAuth() in 
/usr/bin/ingo-convert-prefs-to-sql on line 60

searched library and method not defined in release, can find in older 
releases. It would appear that this method has been changed/renamed 
but the update script has not be changed to reflect the change.
would it be possible to bring this script upto date

Saved Queries